Loading...
Searching...
No Matches
BALL::GAMESSDatFile::block Class Reference

`#include <BALL/FORMAT/GAMESSDatFile.h>`

## Public Member Functions

void | operator>> (std::ostream &os) const

## Public Attributes

String | blockname
StringHashMap< String > | data

## Detailed Description

Nested class for the data blocks of the GAMESSFile

Definition at line 29 of file GAMESSDatFile.h.

## Member Function Documentation

## operator>>()

void BALL::GAMESSDatFile::block::operator>> | ( | std::ostream & | os | ) | const

## Member Data Documentation

## blockname

String BALL::GAMESSDatFile::block::blockname

The name of this block

Definition at line 33 of file GAMESSDatFile.h.

## data

StringHashMap<String> BALL::GAMESSDatFile::block::data

Stores the data in key - value format

Definition at line 35 of file GAMESSDatFile.h.